import CheckboxSelectAll from '@stimulus-components/checkbox-select-all';

export default class extends CheckboxSelectAll {
  static targets = ['checkboxAll', 'checkbox', 'bulkAction', 'ids'];

  connect() {
    super.connect();
  }
  refresh() {
    super.refresh();
    this.toogleHideBulkAction();
    this.updateIds();
  }

  toggle(e) {
    super.toggle(e);
    this.toogleHideBulkAction();
    this.updateIds();
  }

  updateIds() {
    this.idsTarget.value = this.checked.map(checkbox => checkbox.value);
  }

  toogleHideBulkAction() {
    this.bulkActionTarget.classList.toggle('hidden', this.checked.length === 0);
  }
}
