# frozen_string_literal: true

namespace :db do
  desc 'Load custom seed data'
  task spirit_hub_seed: :environment do
    seed_file = File.join(SpiritHub::Engine.root, 'db', 'seeds.rb')
    load(seed_file) if File.exist?(seed_file)
  end
end
